// LORA
///////////////////////////////////////////////////////////
#include <SPI.h>
#include <LoRa.h>
#define RFM95_CS  8
#define RFM95_RST 4
#define RFM95_INT 3
byte msgCount = 0;
byte localAddress = 0b111000;
byte destination = 0b101111;
void sendPacket( byte requestID )
{
  LoRa.beginPacket();             // start packet
  LoRa.write(destination);        // add destination address
  LoRa.write(localAddress);       // add sender address
  LoRa.write(requestID);          // add request ID
  LoRa.write(msgCount);           // add message ID
  LoRa.endPacket();               // finish packet and send it
  msgCount++;
  delay(500);  
}
// BUTTON
///////////////////////////////////////////////////////////
#define cokeButton  13
void buttonPressed( int buttonID, byte requestID )
{
  if (digitalRead(buttonID)==LOW) {sendPacket(requestID);delay(500);}
}
void setup() {
  pinMode(cokeButton, INPUT_PULLUP);
  Serial.begin(115200);
  LoRa.setPins(RFM95_CS, RFM95_RST, RFM95_INT);
  if (!LoRa.begin(915E6)){Serial.println("Starting LoRa failed!"); while (1);}
  else{pinMode(LED_BUILTIN, OUTPUT);digitalWrite(LED_BUILTIN, HIGH);Serial.println("LoRa Started");};
  delay(1000);
}
void loop() {buttonPressed(cokeButton,0b0);}